Name:    task-e17
Version: 1
Release: %mkrel 3
Summary: Metapackage for the E17
Group:   Graphical desktop/Enlightenment
License: GPL
Epoch:	 2
URL:	 http://wiki.mandriva.com/en/Development/Ideas/E17

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

# prefered apps
Suggests: exaile
Suggests: file-roller
Suggests: gimp
Suggests: thunar
Suggests: midori
Suggests: xterm
Requires: %{name}-minimal
Requires: aumix
Requires: brasero
Requires: evince
Requires: gtk-chtheme
Requires: lftp
Requires: mrxvt
Requires: screen

Requires: expedite
Requires: edje_viewer
Requires: Eterm
Requires: e17_themes

%description
This package is a meta-package, meaning that its purpose is to contain
all E17 application and librairies. It also install some suggests

%package minimal
Summary: Metapackage minimal for the E17
Group:   Graphical desktop/Enlightenment
License: GPL
Provides: E17
Requires: Eterm
Requires: e
Requires: eet
Requires: edje
Requires: imlib2
Requires: emotion
Requires: ethumb
Requires: efreet
Requires: exalt
Requires: elementary
Requires: ecore
Requires: embryo
Requires: e_dbus
Requires: e_modules

%description minimal
This package is a meta-package, meaning that its purpose is to contain
all E17 application and librairies.

%files
%defattr(-,root,root)

%files minimal
%defattr(-,root,root)




%changelog
* Tue Apr 19 2011 ennael <ennael> 2:1-3.mga1
+ Revision: 88265
- remove uneeded steps
- remove uneeded source
- imported package task-e17


* Mon Jan 03 2011 Crispin Boylan <crisb@mandriva.org> 1:2011.0-3mdv2011.0
+ Revision: 627940
- Remove obsolete apps

* Sat Nov 06 2010 Rémy Clouard <shikamaru@mandriva.org> 1:2011.0-2mdv2011.0
+ Revision: 594248
- Remove obsolete packages from task
- etk has been superseded by elementary
- edb has been replaced by eet
- esmart has been replaced by elementary

* Sat Nov 06 2010 Rémy Clouard <shikamaru@mandriva.org> 1:2011.0-1mdv2011.0
+ Revision: 594194
- remove ewl (replaced by elementary)
- new version 2011.0
- replace epsilon by ethumb

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 1:2010.1-1mdv2010.1
+ Revision: 478443
- 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1:2009.1-8mdv2010.0
+ Revision: 445351
- rebuild

* Thu Mar 05 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-7mdv2009.1
+ Revision: 348801
- add e17_themes requires

* Wed Mar 04 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-6mdv2009.1
+ Revision: 348468
- remove broken apps

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-5mdv2009.1
+ Revision: 348104
- add extrackt and enity deps

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-4mdv2009.1
+ Revision: 348011
- update requires and suggests

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:2009.1-3mdv2009.1
+ Revision: 347776
- add missing tag summary
- re-order requires
- update
- fix requires
- fix %%description for the minimal package
- fix sub package minimal
- create a task-e17-minimal meta package

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-2mdv2009.1
+ Revision: 347359
- disable non uptodate E17 applications

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 2009.1-1mdv2009.1
+ Revision: 345584
- remove firefox, use midori instead, remove requires on epeg (tag as OLD in E's svn)

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-1mdv2009.0
+ Revision: 282557
- bump version

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-6mdv2009.0
+ Revision: 261378
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-5mdv2009.0
+ Revision: 254148
- rebuild

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 179355
- add itask requires

* Tue Feb 19 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 173134
- remove evas requires, use mrxvt terminal

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 168799
- do some adjustement in requires and suggests

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Antoine Ginies <aginies@mandriva.com> 2008-6mdv2008.0
+ Revision: 78507
- remove unstable E apps

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 2008-4mdv2008.0
+ Revision: 33240
- fix mozilla-firefox requires

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 2008-3mdv2008.0
+ Revision: 33181
- increase mkrel
- add expedite, emphasis, extrackt, terminal and gtk-chtheme requires

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 2008-2mdv2008.0
+ Revision: 32584
- remmove enhance requires

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 2008-1mdv2008.0
+ Revision: 32416
- fix spec file
- add some requires
- first release
- Import task-e17

